# Contributing to brutemap

Thank you, for taking your time to contribute to brutemap :pray:. For more details about how I can contribute to this project :question: please read the section below.

## Report a bug

These are the steps to report a bug caused by the brutemap tool.

### 1: Ensure the installation method

Make sure you have followed the recommended installation steps. 
This is because of their issue (see list of [bad installation](https://github.com/brutemap-dev/brutemap/issues?utf8=✓&q=is%3Aissue+label%3A"bad+installation"+):exclamation:)


### 2: Issue checking

Check [open](https://github.com/brutemap-dev/brutemap/issues?q=is%3Aopen+is%3Aissue) and [closed](https://github.com/brutemap-dev/brutemap/issues?q=is%3Aissue+is%3Aclosed) issues. 
This is to ensure that the problem you want to report, has been corrected. :v:


### 3: Add information to reproduce the bug.

This section is very helpful for developers, to speed up the repair process. 
If you find out, please include it. :+1:


### 4: Place to report

Please report a bug to the [issue tracker](https://github.com/brutemap-dev/brutemap/issues):exclamation:

## Submitting code changes

I feel happy if you want to share your code to improve or add new features to the brutemap project and are greatly appreciated!. 
These are the steps for sending code changes.

1. Fork the brutemap repository.
2. Clone your repository.
3. Create a new branch.
4. Adding new scripts or patches, make sure you use spaces as indentations (not tabs!) and also include comments or documentation (if they are new scripts / objects).
5. Push your changes to the repository.
6. Send your changes for review. Use the [pull request](https://help.github.com/en/articles/creating-a-pull-request) method.
